export interface Config {
    abfall: Abfall;
    abfall_after: Abfall;
    heizmodus: Heizprogramm;
    fensterzf: Fensterstatus;
    aussenklima: Aussenklima;
}

export interface Abfall {
    uri: string;
    text: string;
    date: string;
    in_days: string;
    type: string;
}

export interface Heizprogramm {
    uri: string;
    state: string;
}

export interface Fensterstatus {
    uri: string;
    state: string;
}

export interface Aussenklima {
    uri: string;
    temp: string;
    feuchte: string;
}

export const cfg: Config = {
    "abfall": {
        "uri": "/abfall",
        "text": "Nächste Abholung",
        "date": "trashschedule.0.next.dateFormat",
        "in_days": "trashschedule.0.next.daysLeft",
        "type": "trashschedule.0.next.typesText"
    },
    "abfall_after": {
        "uri": "/danachabfall",
        "text": "Kommende Abholung",
        "date": "trashschedule.0.nextAfter.dateFormat",
        "in_days": "trashschedule.0.nextAfter.daysLeft",
        "type": "trashschedule.0.nextAfter.typesText"
    },
    "heizmodus": {
        "uri": "/heizmodus",
        "state": "hm-rega.0.3897"
    },
    "fensterzf": {
        "uri": "/fensterzf",
        "state": "0_userdata.0.OPEN_WINDOWS.COUNT"
    },
    "aussenklima": {
        "uri": "/aussenklima",
        "temp": "hm-rpc.0.000EDD89B3A1C4.1.ACTUAL_TEMPERATURE",
        "feuchte": "hm-rpc.0.000EDD89B3A1C4.1.HUMIDITY"
    }
}